Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

I can't download/install any Plugin

Joined
Dec 5, 2019
Messages
1
Hey,

I'm new here and also a bit new to Freenas, I want to install a Plugin (Nextcloud) but it always shwos me the following Error: ('Connection aborted.', ConnectionResetError(54, 'Connection reset by peer')). I kinda think that my FreeNas Server isn't connected to the Internet or?

The Hardware of my server:
Intel I7 7700k
Asus ROG Maximus IX Hero
Harddrives:
2x 8TB
1x 4TB
1x 1TB
1x SSD for Freenas
Network Onboard: Intel® I219V

I'm sorry if I forgot anything but this is all I have as far as it's about informations.

I hope to find some help here.

-x1reN
 

Attachments

Joined
Dec 5, 2019
Messages
2
Same problem here with adding add-ons. But also when trying to create jail via the interface.
When adding Jail I get more error log. see below
Had no problem fetching/updating files from another jail or ping http://download.freenas.org/ from shell.
Also, no problem to check for updates for FreeNAS or other calls outside my network from the Nas

Any advice or ideas are welcome.

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "/usr/local/lib/python3.6/http/client.py", line 1331, in getresponse
response.begin()
File "/usr/local/lib/python3.6/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/local/lib/python3.6/http/client.py", line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/local/lib/python3.6/socket.py", line 586, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 54] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
timeout=timeout
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/local/lib/python3.6/site-packages/urllib3/util/retry.py", line 357, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/local/lib/python3.6/site-packages/urllib3/packages/six.py", line 685, in reraise
raise value.with_traceback(tb)
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "/usr/local/lib/python3.6/http/client.py", line 1331, in getresponse
response.begin()
File "/usr/local/lib/python3.6/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/local/lib/python3.6/http/client.py", line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/local/lib/python3.6/socket.py", line 586, in readinto
return self._sock.recv_into(b)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(54, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
return await self._call(name, serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 592, in list_resource
resource_list = iocage.fetch(list=True, remote=remote, http=True)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 961, in fetch
_list=True)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 232, in fetch_release
rel = self.fetch_http_release(eol, _list=_list)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 428, in fetch_http_release
req = requests.get(f"{self.server}/{self.root_dir}")
File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 72, in get
return request('get', url, params=params, **kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 58, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
resp = self.send(prep, **send_kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
r = adapter.send(request, **kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 490, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(54, 'Connection reset by peer'))
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1107, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1052, in _call
return await self._call_worker(name, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1072, in _call_worker
return await self.run_in_proc(main_worker, name, args, job)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 995, in run_in_proc
return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 971, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(54, 'Connection reset by peer'))
 
Joined
Dec 5, 2019
Messages
4
I just installed Freenas today, I'm an absolute noob, but I got the same problem and I noticed this post is very new so I just want to 1-up this thread.
When I select "Save" in the install plugin window (trying to install plex), I get the exact same message (('Connection aborted.', ConnectionResetError(54, 'Connection reset by peer')))
 
Joined
Dec 5, 2019
Messages
6
Same issue here, I just installed freeNas on a new AMD Athlon 200GE system, which I just built.
I was trying to install qbittorrent, when I got this error. After that I tried with other torrent plugins with the same result.
 

Chris Moore

Super Moderator
Moderator
Joined
May 2, 2015
Messages
9,663
Joined
Dec 5, 2019
Messages
6
  • Motherboard make and model: Asus Prime A320M-K
  • CPU make and model: AMD Athlon 200GE
  • RAM quantity: 8Gb 2400Mhz CL17 (2x4Gb in dual channel)
  • Hard drives, quantity, model numbers, and RAID configuration, including boot drives: freeNas drive WD Green M.2 sata 120Gb, Storage WD Red 3Tb
  • Hard disk controllers: Sata 6Gb/s
  • Network cards: Realtek RTL8111H Gigabit LAN
When I try to install any plugins I get the error: Connection aborted.', ConnectionResetError(54, 'Connection reset by peer')
 
Joined
Dec 5, 2019
Messages
2
Looks like it was peer from remote servers that was the problem, this morning when trying again it now works both to add jails and to install the plugin.
I hope it works for everyone else now as well.
 
Joined
Dec 5, 2019
Messages
6
Looks like it was peer from remote servers that was the problem, this morning when trying again it now works both to add jails and to install the plugin.
I hope it works for everyone else now as well.
still doesn't work for me
 
Joined
Oct 10, 2019
Messages
9
Looks like it was peer from remote servers that was the problem, this morning when trying again it now works both to add jails and to install the plugin.
I hope it works for everyone else now as well.
Still doesn't work for me too.

I tried pinging command and this works, I don't understand what the problem might be
 
Joined
Oct 10, 2019
Messages
9
  • Dell poweredge R510 and poweredge R710
  • CPU Xeon
  • RAM 48Gb
  • Hard drives 2 disk with 2Tb, 2 disk with 3Tb and 2 disk with 2Tb, boot 32Gb USB datatravel
  • controller LSI H310 no RAID configuration
 
Joined
Oct 10, 2019
Messages
9
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "/usr/local/lib/python3.6/http/client.py", line 1331, in getresponse
response.begin()
File "/usr/local/lib/python3.6/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/local/lib/python3.6/http/client.py", line 266, in _read_status
raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
timeout=timeout
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/local/lib/python3.6/site-packages/urllib3/util/retry.py", line 357, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/local/lib/python3.6/site-packages/urllib3/packages/six.py", line 685, in reraise
raise value.with_traceback(tb)
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "/usr/local/lib/python3.6/http/client.py", line 1331, in getresponse
response.begin()
File "/usr/local/lib/python3.6/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/local/lib/python3.6/http/client.py", line 266, in _read_status
raise RemoteDisconnected("Remote end closed connection without"
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
return await self._call(name, serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 592, in list_resource
resource_list = iocage.fetch(list=True, remote=remote, http=True)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 961, in fetch
_list=True)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 232, in fetch_release
rel = self.fetch_http_release(eol, _list=_list)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 428, in fetch_http_release
req = requests.get(f"{self.server}/{self.root_dir}")
File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 72, in get
return request('get', url, params=params, **kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 58, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
resp = self.send(prep, **send_kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
r = adapter.send(request, **kwargs)
File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 490, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1107, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1052, in _call
return await self._call_worker(name, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1072, in _call_worker
return await self.run_in_proc(main_worker, name, args, job)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 995, in run_in_proc
return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 971, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
 
Joined
Oct 10, 2019
Messages
9
I was able to solve my problem and install the plex plugin.
I made attempts to install the jail that already gave me problems.
I realized that he couldn't connect to the freebsd server because if he checked the VNET
When i try this on plugin it works fine for me
 

Attachments

Joined
Dec 5, 2019
Messages
6
I was able to install qbittorrent finally.
I fetched iocage by using freebsd mirror:
Code:
# iocage fetch -s ftp5.fr.FreeBSD.org -d mirrors/ftp.freebsd.org/releases/amd64 -r 11.3-RELEASE 
 
Joined
Dec 6, 2019
Messages
1
Hi,
I have same problem.
I fetched iocage by using freebsd mirror but it don't work any more
Code:
iocage fetch -s ftp5.fr.FreeBSD.org -d mirrors/ftp.freebsd.org/releases/amd64 -r 11.2-RELEASE 
 
Top